Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneMetricTarget

    java.lang.Object
      com.ibm.able.autotune.AutotuneMetricTarget

All Implemented Interfaces:
  java.io.Serializable

public class AutotuneMetricTarget
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected AutotuneMetric` | `metric`
`protected AutotuneMetricOperator` | `targetOperator`
`protected AbleLiteral` | `targetValue`

Constructor Summary
`AutotuneMetricTarget(AutotuneMetric metric)`
`AutotuneMetricTarget(AutotuneMetric metric, int operation, AbleLiteral targetValue)`

Method Summary
`double` | `computeDelta()` compute the error between a metric value and a target
`AbleLiteral` | `getTargetValue()`
`void` | `setTargetValue(AbleLiteral value)`
`boolean` | `test()` test to see if the target condition holds, for example if x > 100 or if x is high return true if targetOperator returns true, false otherwise

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### metric

    protected AutotuneMetric metric

### targetValue

    protected AbleLiteral targetValue

### targetOperator

    protected AutotuneMetricOperator targetOperator

Constructor Detail

### AutotuneMetricTarget

    public AutotuneMetricTarget(AutotuneMetric metric)

### AutotuneMetricTarget

    public AutotuneMetricTarget(AutotuneMetric metric,
                                int operation,
                                AbleLiteral targetValue)

Method Detail

### setTargetValue

    public void setTargetValue(AbleLiteral value)

### getTargetValue

    public AbleLiteral getTargetValue()

### test

    public boolean test()
                 throws AbleDataException

  test to see if the target condition holds, for example if x > 100 or if x is high return true if targetOperator returns true, false otherwise

  Throws:
    `AbleDataException`

### computeDelta

    public double computeDelta()
                        throws AbleDataException

  compute the error between a metric value and a target

  Throws:
    `AbleDataException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005